This repository contains '**FAIR evaluator service**' which evaluates the FAIRness of existing metadata in a specific format. 
Currently it is released it's initial version and will be continuously updated.
To run the service, you have first the it's helper service which can be found [here](https://gitlab.fit.fraunhofer.de/abu.ibne.bayazid/fairevaluatorhelper).
Once you run the helper serive then follow below instructions:
1. clone the repository by `git clone https://gitlab.fit.fraunhofer.de/abu.ibne.bayazid/fairevaluator.git`
2. goto project directory and run `mvn clean package`
3. then goto target folder and run the jar file `java -jar FAIRvalidator-***-SNAPSHOT.jar`

The serive takes medata input as below format:
Example input format 
```
{
 "PID":"12523452",
 "liscence": "apache",
 "publisher": "imon",
 "title": "This is a sample",
 "publicationDate": "10.11.23",
 "modifiedDate": "11.02.23",
 "description": "This is a sample description",
 "keywords": ["one","two"],
 "dataLink": "https://www.fairsfair.eu/fairsfair-data-object-assessment-metrics-request-comments",
 "dataAccessLevel": "public",
 "relatedResource": "",
 "fileFormat": "application/javascript",
 "language": "english",
 "contactPoint": "",
 "byteSize": "1024",
 "version": "v1"
}
```


Example output format:
```
{
  "validationScore": 46.666668,
  "validationScoreDesc": "given metadata is 46.666668% FAIR.",
  "message": [
    "PID exists but is not valid.",
    "License exists but is not valid.",
    "Publisher is valid",
    "Title is valid.",
    "Publication  date is valid.",
    "Modification  date is valid.",
    "description is valid.",
    "keywords are valid.",
    "data endpoint is not found.",
    "Data access level is missing.",
    "fileFormat is missing",
    "language is missing.",
    "contact is missing.",
    "byteSize is missing.",
    "version is valid."
  ]
}
```

